package com.pixelai.api.component.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.component.entity.CpAttachment;
import com.pixelai.api.component.vo.CpAttachmentVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author mzl
 * @since 2020-07-17
 */
public interface CpAttachmentMapper extends BaseMapper<CpAttachment> {


    /**
     * 根据id查询照片
     *
     * @param id
     * @return
     */
    CpAttachmentVo findAttachmentById(@Param("id") Integer id);

    /**
     * 条件查询
     *
     * @param page
     * @param queryWrapper
     * @return
     */
    List<CpAttachmentVo> findByExample(@Param(Constants.WRAPPER) QueryWrapper<CpAttachmentVo> queryWrapper, Page page);

    /**
     * 根据识别码获取文件订单
     *
     * @param code
     * @return
     */
    CpAttachment findByCode(String code);

}
