package com.pixelai.api.component.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * 
 * </p>
 *
 * @author gjj
 * @since 2024-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CpPhoto", description="")
@NoArgsConstructor
public class CpPhoto implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "上传者id")
    private Integer userid;

    @ApiModelProperty(value = "图片名")
    private String name;

    @ApiModelProperty(value = "文件路径")
    private String path;

    @ApiModelProperty(value = "图片大小")
    private String size;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "t有效，f无效")
    private String state;

    @ApiModelProperty(value = "标签号")
    private Integer cpLabelId;


    @ApiModelProperty(value = "服务id")
    private Integer serviceId;

    public CpPhoto(Integer userid, String name, String path,Integer serviceId){
        this.userid=userid;
        this.name=name;
        this.path=path;
        this.serviceId=serviceId;
        this.createtime=new Date();
        this.state="t";
    }
}
