package com.pixelai.api.component.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.component.entity.CpArticle;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pixelai.api.component.entity.CpLabel;
import com.pixelai.api.component.vo.CpArticleVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gjj
 * @since 2024-10-26
 */
public interface CpArticleService extends IService<CpArticle> {

    /**
     * 根据标签名字查找实体
     * @param name
     * @return
     */
    CpLabel findLabelByName(String name);

    /**
     * 条件查询
     * @param example
     * @return
     */
    List<CpArticle> list(CpArticle example);

    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    IPage<CpArticle> page(CpArticle example,IPage page);

    /**
     * 分页查询
     *
     * @param example
     * @param page
     * @return
     */
    Page<CpArticleVo> findByPage(CpArticleVo example, Page page);

}
