package com.pixelai.api.group.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.group.entity.AcAction;
import com.pixelai.api.group.vo.AcActionVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
public interface AcActionMapper extends BaseMapper<AcAction> {

    /**
     * 条件查询
     *
     * @param queryWrapper
     * @return
     */
    List<AcActionVo> findByExample(@Param(Constants.WRAPPER) QueryWrapper<AcActionVo> queryWrapper);

    /**
     * 分页条件查询
     *
     * @param queryWrapper
     * @param page
     * @return
     */
    List<AcActionVo> findByExample(@Param(Constants.WRAPPER) QueryWrapper<AcActionVo> queryWrapper, Page page);

    /**
     * 根据功能编码获取功能订单
     *
     * @param acAction
     * @return
     */
    AcAction findByAction(@Param("action") final String acAction);

}
