package com.pixelai.api.group.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pixelai.api.group.entity.AcGrouptype;
import com.pixelai.api.group.vo.GroupTypeModuleVo;
import com.pixelai.api.group.vo.GroupTypeTreeVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
public interface AcGrouptypeService extends IService<AcGrouptype> {

    /**
     * 条件查询
     *
     * @param example
     * @return
     */
    List<AcGrouptype> list(AcGrouptype example);

    /**
     * 分页查询
     *
     * @param example
     * @param page
     * @return
     */
    IPage<AcGrouptype> page(AcGrouptype example, IPage page);

    /**
     * 获取角色类型树
     *
     * @param id
     * @return
     */
    GroupTypeTreeVo findByGrouptype(Integer id);

    /**
     * 获取角色模块树
     *
     * @param groupid
     * @return
     */
    List<GroupTypeModuleVo> findGroupModule(Integer groupid);
}
