package com.pixelai.api.log.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pixelai.api.log.entity.AcLog;
import com.pixelai.api.log.vo.AcLogVo;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
public interface AcLogService extends IService<AcLog> {

    /**
     * 条件查询
     *
     * @param example
     * @return
     */
    List<AcLogVo> findByExample(AcLogVo example);

    /**
     * 分页查询
     *
     * @param example
     * @param page
     * @return
     */
    Page<AcLogVo> findByPage(AcLogVo example, Page page);

    /**
     * 检查更新的头像
     *
     * @param photos
     */
    @Transactional
    List<Integer> checkUpdatePhoto(Map<Integer, String> photos);

}
