package com.pixelai.api.pa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.pixelai.api.pa.entity.MbConsumption;
import com.pixelai.api.pa.dao.MbConsumptionMapper;
import com.pixelai.api.pa.service.MbConsumptionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pixelai.api.user.entity.AcUser;
import com.pixelai.api.user.service.AcUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gjj
 * @since 2024-12-23
 */
@Service
public class MbConsumptionServiceImpl extends ServiceImpl<MbConsumptionMapper, MbConsumption> implements MbConsumptionService {
    @Autowired
    private AcUserService acUserService;
    @Override
    public List<MbConsumption> list(MbConsumption example) {
        return this.list(buildWrapper(example));
    }

    @Override
    public IPage<MbConsumption> page(MbConsumption example, IPage page) {
        return this.page(page,buildWrapper(example));
    }

    /**
     * 构建查询
     *
     * @param example
     * @return
     */
    private QueryWrapper<MbConsumption> buildWrapper(MbConsumption example) {
        QueryWrapper<MbConsumption> wrapper     = new QueryWrapper<>();
        Integer userId=acUserService.getUserId();
        AcUser acuser=acUserService.getById(userId);
        if (acuser.getAcgroup()!=1){
            wrapper.lambda().eq(MbConsumption::getUserId,userId);
        }
        wrapper.lambda().eq(MbConsumption::getState,"t");
        return wrapper;
    }
}
