package com.pixelai.api.pa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.pa.entity.PaCreationRelease;
import com.pixelai.api.pa.dao.PaCreationReleaseMapper;
import com.pixelai.api.pa.service.PaCreationReleaseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pixelai.api.pa.vo.PaCreationReleaseVo;
import com.pixelai.api.pa.vo.PaCreationVo;
import com.pixelai.api.user.entity.AcUser;
import com.pixelai.api.user.service.AcUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gjj
 * @since 2024-12-05
 */
@Service
public class PaCreationReleaseServiceImpl extends ServiceImpl<PaCreationReleaseMapper, PaCreationRelease> implements PaCreationReleaseService {
    @Autowired
    private AcUserService acUserService;
    @Override
    public List<PaCreationRelease> list(PaCreationRelease example) {
        return this.list(buildWrapper(example));
    }

    @Override
    public IPage<PaCreationRelease> page(PaCreationRelease example, IPage page) {
        return this.page(page,buildWrapper(example));
    }

    @Override
    public Page<PaCreationReleaseVo> findByPage(PaCreationReleaseVo example, Page page) {
        page.setOptimizeCountSql(false);
        return page.setRecords(this.baseMapper.findByExample(buildPaCreationReleaseVoWrapper(example), page));
    }

    private QueryWrapper<PaCreationReleaseVo> buildPaCreationReleaseVoWrapper(PaCreationReleaseVo example) {
        QueryWrapper<PaCreationReleaseVo> wrapper     = new QueryWrapper<>();
        Integer userId=acUserService.getUserId();
        AcUser acUser=acUserService.getById(userId);
        if (acUser.getAcgroup()!=1){
            wrapper.eq("user_id",userId );
        }
        wrapper.eq("photo_state", "t")
                .eq(example.getReviewStatus()!=null,"review_status", example.getReviewStatus())
                .eq("creation_state", "t")
                .eq("state", "t")
                .orderByDesc("createtime");
        return wrapper;
    }

    /**
     * 构建查询
     *
     * @param example
     * @return
     */
    private QueryWrapper<PaCreationRelease> buildWrapper(PaCreationRelease example) {
        QueryWrapper<PaCreationRelease> wrapper     = new QueryWrapper<>();
        return wrapper;
    }

}
