package com.pixelai.api.pa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.pa.entity.PaRecommend;
import com.pixelai.api.pa.dao.PaRecommendMapper;
import com.pixelai.api.pa.service.PaRecommendService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pixelai.api.pa.vo.PaCreationVo;
import com.pixelai.api.pa.vo.PaRecommendVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gjj
 * @since 2024-12-05
 */
@Service
public class PaRecommendServiceImpl extends ServiceImpl<PaRecommendMapper, PaRecommend> implements PaRecommendService {

    @Override
    public List<PaRecommend> list(PaRecommend example) {
        return this.list(buildWrapper(example));
    }

    @Override
    public IPage<PaRecommend> page(PaRecommend example, IPage page) {
        return this.page(page,buildWrapper(example));
    }

    /**
     * 构建查询
     *
     * @param example
     * @return
     */
    private QueryWrapper<PaRecommend> buildWrapper(PaRecommend example) {
        QueryWrapper<PaRecommend> wrapper     = new QueryWrapper<>();
        return wrapper;
    }

    public Page<PaRecommendVo> findByPage(PaRecommendVo example, Page page) {
        page.setOptimizeCountSql(false);
        return page.setRecords(this.baseMapper.findByExample(buildPaCreationVoWrapper(example), page));
    }
    /**
     * 构建查询
     *
     * @param example
     * @return
     */
    private QueryWrapper<PaRecommendVo> buildPaCreationVoWrapper(PaRecommendVo example) {
        QueryWrapper<PaRecommendVo> wrapper     = new QueryWrapper<>();
        wrapper
                .eq("state", "t")
                .eq("cp_photo_state", "t")
                .eq("pa_creation_state", "t")
                .orderByDesc("createtime");
        return wrapper;
    }

}
