package com.pixelai.api.pa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.pixelai.api.pa.entity.PaServices;
import com.pixelai.api.pa.dao.PaServicesMapper;
import com.pixelai.api.pa.service.PaServicesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gjj
 * @since 2024-12-04
 */
@Service
public class PaServicesServiceImpl extends ServiceImpl<PaServicesMapper, PaServices> implements PaServicesService {

    @Override
    public PaServices getServiceById(Integer id) {
        PaServices entity = this.lambdaQuery()
                .eq(PaServices::getId,id)
                .eq(PaServices::getState,"t").one();
        return entity;
    }

    @Override
    public List<PaServices> list(PaServices example) {
        return this.list(buildWrapper(example));
    }

    @Override
    public IPage<PaServices> page(PaServices example, IPage page) {
        return this.page(page,buildWrapper(example));
    }

    /**
     * 构建查询
     *
     * @param example
     * @return
     */
    private QueryWrapper<PaServices> buildWrapper(PaServices example) {
        QueryWrapper<PaServices> wrapper     = new QueryWrapper<>();
        wrapper.lambda()
                .orderByAsc(PaServices::getPosition)
                .eq(PaServices::getState,"t");
        return wrapper;
    }

}
