package com.pixelai.api.pa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.base.context.Context;
import com.base.context.ContextHolder;
import com.pixelai.api.pa.entity.PaVipCurrency;
import com.pixelai.api.pa.dao.PaVipCurrencyMapper;
import com.pixelai.api.pa.service.PaVipCurrencyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pixelai.api.user.entity.AcUser;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gjj
 * @since 2024-12-04
 */
@Service
public class PaVipCurrencyServiceImpl extends ServiceImpl<PaVipCurrencyMapper, PaVipCurrency> implements PaVipCurrencyService {

    @Override
    public Boolean consume(Integer userId,Integer money) {
        PaVipCurrency paVipCurrency=this.lambdaQuery().eq(PaVipCurrency::getUserid,userId)
                .eq(PaVipCurrency::getState,"t").one();
        //余额不足
        Integer balance=paVipCurrency.getNumerical();
        if ( balance< money){
            return  false;
        }
        //消费
        paVipCurrency.setNumerical(balance-money);
        this.updateById(paVipCurrency);
        return true;
    }

    @Override
    public List<PaVipCurrency> list(PaVipCurrency example) {
        return this.list(buildWrapper(example));
    }

    @Override
    public IPage<PaVipCurrency> page(PaVipCurrency example, IPage page) {
        return this.page(page,buildWrapper(example));
    }

    /**
     * 构建查询
     *
     * @param example
     * @return
     */
    private QueryWrapper<PaVipCurrency> buildWrapper(PaVipCurrency example) {
        QueryWrapper<PaVipCurrency> wrapper     = new QueryWrapper<>();
        return wrapper;
    }

}
