package com.pixelai.api.picture.Enum;

public enum PicStyle {
    CARTOON(1, "cartoon"),
    PENCIL(2, "pencil"),
    COLOR_PENCIL(3, "color_pencil"),
    WARM(4, "warm"),
    WAVE(5, "wave"),
    LAVENDER(6, "lavender"),
    MONONOKE(7, "mononoke"),
    SCREAM(8, "scream"),
    GOTHIC(9, "gothic");

    private final int styleCode;
    private final String styleName;

    PicStyle(int styleCode, String styleName) {
        this.styleCode = styleCode;
        this.styleName = styleName;
    }

    public int getStyleCode() {
        return styleCode;
    }

    public String getStyleName() {
        return styleName;
    }

    // 从整数获取枚举值
    public static PicStyle fromStyleCode(int styleCode) {
        for (PicStyle style : values()) {
            if (style.getStyleCode() == styleCode) {
                return style;
            }
        }
        throw new IllegalArgumentException("Invalid style code: " + styleCode);
    }

    // 从字符串获取枚举值
    public static PicStyle fromStyleName(String styleName) {
        for (PicStyle style : values()) {
            if (style.getStyleName().equalsIgnoreCase(styleName)) {
                return style;
            }
        }
        throw new IllegalArgumentException("Invalid style name: " + styleName);
    }
}