package com.pixelai.api.picture.service;

import com.pixelai.api.component.entity.CpPhoto;
import com.pixelai.api.pa.entity.PaCreation;
import com.pixelai.api.pa.entity.PaServices;
import com.pixelai.api.picture.vo.AiPictureVo;
import com.pixelai.api.picture.vo.AiViewVo;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

public interface AiPictureService {
    /**
     * 黑白图片上色
     */
    CpPhoto ImageColoring(AiPictureVo aiPictureVo, PaCreation paCreation) throws Exception;
    /**
     * 人物动漫化
     */
    CpPhoto CharacterAnime(AiPictureVo aiPictureVo, PaCreation paCreation) throws Exception;
    /**
     * 更换图片风格，图片转换的风格,1:卡通画,2:铅笔风格,3:彩色铅笔画,4:彩色糖块油画,5:神奈川冲浪里油画,6:薰衣草油画,7:奇异油画,8:呐喊油画,9:哥特油画。
     */
    CpPhoto styleTrans(AiPictureVo aiPictureVo, PaCreation paCreation) throws Exception;
    /**
     * 阿里云文字生成图片
     * */
    void textToImage(AiPictureVo aiPictureVo, PaCreation paCreation) throws Exception;
    /**
     * 火山文字生成图片
     * */
    void textToImageByVolcengine(AiPictureVo aiPictureVo, PaCreation paCreation) throws Exception;

    /**
     * AI换衣
     */
    void aiTryon(AiPictureVo aiPictureVo, PaCreation paCreation) throws Exception;
    /**
     * AI换衣预览模式
     */
    void aiTryonPreview(AiPictureVo aiPictureVo, PaCreation paCreation) throws Exception;
    /**
     * 火山引擎：表情编辑
     */
    void emotionPortrait(AiPictureVo aiPictureVo, PaCreation paCreation) throws Exception;
    /**
     * 火山引擎：发型编辑
     */
    void hairStyle(AiPictureVo aiPictureVo, PaCreation paCreation) throws Exception;
    /**
     * 火山引擎：年龄变换
     */
    void ageChange(AiPictureVo aiPictureVo, PaCreation paCreation) throws Exception;
    /**
     * 火山引擎：3D游戏特效
     */
    void threeDGameCartoon(AiPictureVo aiPictureVo, PaCreation paCreation) throws Exception;
    String ActivateMagic(String pathSource,String url,String option) throws Exception;

//    String styleTrans(String fileName,String externalResourceDir,Integer option) throws Exception;

    //图片转base64传给baiduapi解析后获取传回来的base64码,图像风格转换
//    String selfie_anime(String fileName, String externalResourceDir) throws Exception;

    String Base64ToImage(String path, String base64String);


    void portraitStyleRepainting(AiPictureVo aiPictureVo, PaCreation paCreation) throws Exception;

    void texture(AiPictureVo aiPictureVo, PaCreation paCreation) throws Exception;



}
