package com.pixelai.api.picture.util;

import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Random;

public class FileSetUtil {
    public static String resetFileName(String pathSource,MultipartFile image) throws IOException {
            File newFile = new File(pathSource);

            try (InputStream is = image.getInputStream();
                 FileOutputStream fos = new FileOutputStream(newFile)) {
                byte[] buffer = new byte[1024];
                int bytesRead;
                // 从源文件读取并写入目标文件
                while ((bytesRead = is.read(buffer)) != -1) {
                    fos.write(buffer, 0, bytesRead);
                }
                return pathSource;
            } catch (IOException e) {
                throw new IOException("文件保存失败: " + e.getMessage(), e);
            }
    }

    public static File saveFile(MultipartFile file, String path) {
        File newFile = new File(path);
        File parentDir = newFile.getParentFile();
        if (parentDir != null && !parentDir.exists()) {
            parentDir.mkdirs(); // 创建所有必要的父目录
        }
        try (InputStream is = file.getInputStream();
             FileOutputStream fos = new FileOutputStream(newFile)) {
            byte[] buffer = new byte[1024];
            int bytesRead;
            // 从源文件读取并写入目标文件
            while ((bytesRead = is.read(buffer)) != -1) {
                fos.write(buffer, 0, bytesRead);
            }
            return newFile;
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

}
