package com.pixelai.api.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "用户", description = "")
public class AcUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "用户账号")
    private String username;

    @ApiModelProperty("真实姓名")
    private String realname;

    @ApiModelProperty(value = "登录密码")
    private String password;

    @ApiModelProperty(value = "关联角色表id")
    private Integer acgroup;

    @ApiModelProperty(value = "用户类型")
    private Integer usertype;

    @ApiModelProperty(value = "账号状态(“1”启用 “0”停用)")
    private String enable;

    @ApiModelProperty(value = "是否展示")
    private String show;

    @ApiModelProperty(value = "是否可编辑")
    private String edit;

    @ApiModelProperty("重置令牌")
    private String resettoken;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "密码更新时间")
    private Date pwdupdatetime;

    @ApiModelProperty(value = "状态(“1”有效 “0”删除)")
    private String state;

    @ApiModelProperty(value = "第三方登录ID")
    private String thirdId;

    @ApiModelProperty(value = "第三方登录类型")
    private String thirdType;

    @ApiModelProperty(value = "盐值")
    private String salt;

}
