package com.pixelai.api.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 管理员注册考生信息
 *
 * @Author 7gugu.
 */
@Data
@ApiModel
public class AdminRegisterExamineeVo {

    @ApiModelProperty("订单名")
    private String username;

    @ApiModelProperty("关联角色表id")
    private Integer acgroup;

    @ApiModelProperty("订单类型")
    private Integer usertype;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty(value = "报考id")
    private Integer subjectselectid;

    @ApiModelProperty(value = "期次id")
    private Integer enrollid;

    @ApiModelProperty(value = "期次名称")
    private String enrollName;

    @ApiModelProperty(value = "期次描述")
    private String enrollDescription;

    @ApiModelProperty(value = "期次科目id")
    private Integer subjectid;

    @ApiModelProperty(value = "期次科目名称")
    private String subjectName;

    @ApiModelProperty(value = "考生id")
    private Integer examineeid;

    @ApiModelProperty(value = "真实姓名")
    private String realname;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "中考证号")
    private String registration;

    @ApiModelProperty("身份证类型")
    private String identitytype;

    @ApiModelProperty(value = "身份证号")
    private String identitynum;

    @ApiModelProperty(value = "就读学校")
    private String school;

    @ApiModelProperty(value = "民族")
    private String national;

    @ApiModelProperty(value = "出生年月")
    private Date birth;

    @ApiModelProperty(value = "通讯地址")
    private String address;

    @ApiModelProperty(value = "曾获荣誉奖励")
    private String honor;

    @ApiModelProperty(value = "头像")
    private String photo;

    @ApiModelProperty(value = "所在地区")
    private String area;

    @ApiModelProperty(value = "父亲姓名")
    private String father;

    @ApiModelProperty(value = "父亲手机")
    private String fatherphone;

    @ApiModelProperty(value = "母亲姓名")
    private String mother;

    @ApiModelProperty(value = "母亲手机")
    private String motherphone;

    @ApiModelProperty(value = "特长")
    private String speciality;

    @ApiModelProperty("身高")
    private String height;

    @ApiModelProperty("体重")
    private String weight;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty(value = "附件id")
    private Integer attachmentid;

    @ApiModelProperty("附件名称")
    private String attachmentName;

}
